%global __requires_exclude perl\\(AnyEvent::I3\\)

Name:           i3
Version:        4.22
Release:        %mkrel 1
Summary:        A tiling window manager
License:        BSD
Group:          Graphical desktop/Other
Url:            https://i3wm.org/
Source0:        https://i3wm.org/downloads/%{name}-%{version}.tar.xz
Source1:        %{name}-logo.svg
Patch0:         i3-fix-libev-path.patch
Patch1:		   i3-remember_ws_output.patch
BuildRequires:  meson
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  x11-proto-devel
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  xcb-util-wm-devel
BuildRequires:  pkgconfig(libev)
BuildRequires:  asciidoc
BuildRequires:  xmltex
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(yajl)
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  graphviz
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(xcb-xrm)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbcommon-x11)
Requires: xterm
Requires: dmenu
Requires: sselp
Requires: i3status

%description
i3 is a tiling window manager, completely written from scratch. The target
platforms are GNU/Linux and BSD operating systems, our code is Free and Open
Source Software (FOSS) under the BSD license. i3 is primarily targeted at
advanced users and developers.

%package devel
Summary:	Development file for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Libraries

%description devel
Development file for %{name}.

%package doc
Summary:	Documentation for %{name}
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Group:		Documentation

%description doc
Asciidoc and doxygen generated documentations for %{name}.

%prep
%setup -q
%apply_patches

%build
%meson
%meson_build

doxygen pseudo-doc.doxygen
mv pseudo-doc/html pseudo-doc/doxygen

%install
%meson_install

mkdir -p %{buildroot}/%{_mandir}/man1/
install -Dpm0644 man/*.1 %{buildroot}/%{_mandir}/man1/

mkdir -p %{buildroot}/%{_datadir}/pixmaps/
install -Dpm0644 %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps/

rm -rf %buildroot/%{_datadir}/xsessions

# wmsession support
mkdir -p %{buildroot}/etc/X11/wmsession.d/
cat << EOF > %{buildroot}/etc/X11/wmsession.d/20i3WM
NAME=i3WM
ICON=i3-logo.svg
EXEC=%{_bindir}/i3
DESC=Lightweight desktop environment
SCRIPT:
exec %{_bindir}/i3
EOF

%post
%{make_session}

%postun
%{make_session}

%files
%dir %{_sysconfdir}/i3
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/20i3WM
%config(noreplace) %{_sysconfdir}/i3/config
%config(noreplace) %{_sysconfdir}/i3/config.keycodes
%{_bindir}/i3*
%{_mandir}/man1/i3*
%{_datadir}/pixmaps/i3*
%{_datadir}/applications/*.desktop
%exclude %{_docdir}/%{name}/

%files doc
%doc docs/*.{html,png} pseudo-doc/doxygen/

%files devel
%{_includedir}/i3/ipc.h

%changelog
* Thu Jan 05 2023 tex - 4.22-1pclos2023
- new version

* Mon Oct 31 2022 tex - 4.21.1-1pclos2022
- new version

* Sun Oct 09 2022 tex - 4.21-2pclos2022
- rebuild against updates

* Mon Sep 26 2022 tex - 4.21-1pclos2022
- new version
